"use strict";
const child_process = require("child_process");
function spawnAsync(command, args, options) {
  const child = child_process.spawn(command, args, { ...options, stdio: "inherit" });
  const promise = new Promise((resolve, reject) => {
    child.on("error", reject);
    child.on("close", (code) => {
      if (code === 0) {
        resolve();
      } else {
        const err = new Error(`child exited with code ${code ?? "null"}`);
        reject(err);
      }
    });
  });
  return promise;
}
module.exports = spawnAsync;
//# sourceMappingURL=await-spawn.cjs.map
