import { spawn } from "child_process";
function spawnAsync(command, args, options) {
  const child = spawn(command, args, { ...options, stdio: "inherit" });
  const promise = new Promise((resolve, reject) => {
    child.on("error", reject);
    child.on("close", (code) => {
      if (code === 0) {
        resolve();
      } else {
        const err = new Error(`child exited with code ${code ?? "null"}`);
        reject(err);
      }
    });
  });
  return promise;
}
export {
  spawnAsync as default
};
//# sourceMappingURL=await-spawn.js.map
